@import "{}/imports/ui/stylesheets/variables/index";

.map-box {
  height: 200px;
  width: 200px;
}

.map-box,
.map-fullscreen {
  .fa-regular,
  .fa-brands,
  .fa-solid {
    font-size: 30px;
  }
}

.map-fullscreen {
  bottom: 0;
  left: 0;
  right: 0;
  // position: fixed; Does not work on iOS check index.ts how it is fixed
  top: 0;
  z-index: $zindex-map;
}

.map-fullscreen .fa-map-marker {
  font-size: 30px;
}

.map-fullscreen .fa-close {
  font-size: 45px;
}

.map {
  height: 100%;
  width: 100%;
}

.leaflet-right .comp-icon {
  margin-right: 18px;
}

.leaflet-marker-pane .leaflet-marker-icon {
  background: none;
  border: 0;
}

.leaflet-marker-pane .leaflet-marker-icon .fa-map-marker {
  color: $black;

  &:hover {
    cursor: grabbing;
  }
}

.leaflet-control-container .leaflet-right .leaflet-control:hover {
  color: $primary;
  cursor: pointer;
}

.leaflet-interactive:hover {
  cursor: pointer;
  fill: $yellow-dark;
}
